(*
 * Extensions to the standard OCaml LLVM API.
 *
 * Copyright (c) 2009-2010 Pierre "delroth" Bourdon <delroth@gmail.com>
 *
 * This file is part of Meta-morphosis.
 *
 * Meta-morphosis is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Meta-morphosis is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Meta-morphosis.  If not, see <http://www.gnu.org/licenses/>.
 *)

external print_module : Llvm.llmodule -> out_channel -> unit =
    "llvmext_print_module"

external write_bitcode_to_chan : Llvm.llmodule -> out_channel -> unit =
    "llvmext_write_bitcode_to_chan"

external block_address : Llvm.llvalue -> Llvm.llbasicblock -> Llvm.llvalue =
    "llvmext_block_address"

external build_indirectbr : Llvm.llvalue -> Llvm.llbasicblock array ->
                            Llvm.llbuilder -> Llvm.llvalue =
    "llvmext_build_indirectbr"
